-- lx format
local format = require("core.format")

-- liqube visualizer2 plot data
format.register({
	name = "Liqube 2D Plot File",
	shortname = "liqube2d",
	author = "liqube",
	extensions = "2d",

	patterns = {
		{ pattern = ";.*", type = "comment" },
		{ pattern = "%s*-?%.?%d+f?", type = "keyword", line_start = true }, -- x
		{ pattern = "-?%.?%d+f?", type = "number" }, -- y, y2, .
	},
})
